> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Guess Actions



## OpenAPI

````yaml post /api/v2/guess-actions/
openapi: 3.1.0
info:
  title: Zapier AI Actions API V2
  version: 1.0.0
  description: ''
servers:
  - url: https://actions.zapier.com
security: []
paths:
  /api/v2/guess-actions/:
    post:
      tags:
        - utilities
      summary: Guess Actions
      operationId: api_guess_guess_actions
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/GuessActionsSchema'
              default:
                query: ''
                action_types:
                  - write
                  - search
                  - read
                count: 25
        required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GuessResultSchema'
                title: Response
                type: array
      security:
        - AccessPointApiKeyHeader: []
        - AccessPointOAuth: []
components:
  schemas:
    GuessActionsSchema:
      properties:
        query:
          description: Search query to use for finding actions
          title: Query
          type: string
        action_types:
          default:
            - write
            - search
            - read
          description: Type of actions to search for.
          items:
            $ref: '#/components/schemas/ActionType'
          title: Action Types
          type: array
        count:
          default: 25
          description: Number of actions to return in the response
          title: Count
          type: integer
      required:
        - query
      title: GuessActionsSchema
      type: object
    GuessResultSchema:
      properties:
        app:
          description: The app for this guess
          title: App
          type: string
        action:
          description: The action for this guess
          title: Action
          type: string
        action_type:
          allOf:
            - $ref: '#/components/schemas/ActionType'
          description: Type of action
        name:
          description: Name of the app and action
          title: Name
          type: string
        description:
          description: Description of the action itself
          title: Description
          type: string
        image:
          description: URL for the app's image
          title: Image
          type: string
        score:
          description: Score for this guess based on the search query
          title: Score
          type: number
      required:
        - app
        - action
        - action_type
        - name
        - description
        - image
        - score
      title: GuessResultSchema
      type: object
    ActionType:
      enum:
        - read
        - write
        - search
        - read_bulk
      title: ActionType
      type: string
  securitySchemes:
    AccessPointApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    AccessPointOAuth:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize/
          tokenUrl: /oauth/token/
          scopes:
            nla:exposed_actions:execute: Run AI Actions
            openid: OpenID Connect scope

````